local t = Def.ActorFrame {
	
	
	Def.Banner{
		InitCommand=cmd(diffusealpha,0.8;scaletoclipped,270,270);
		SetMessageCommand=function(self,params)
		
		local hasFocus = params.HasFocus;
		local drawIndex = params.DrawIndex;
		local song = params.Song;
			if song then
				self:LoadFromSong(params.Song);
			
				if hasFocus then
					MESSAGEMAN:Broadcast("CurrentSong",params)									
				end;
			end;
			
		end;
		
	};
			
	
};

return t;
